Subject: bug#72212: 31.0.50; API for condition objects

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Nov 2024 21:49:17 +0200

> Cc: [email-masked]
> Date: Sat, 02 Nov 2024 15:37:59 -0400
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Here are options, I can see:
> 
> - Change the manual's text to use "condition" instead of "error" pretty
>   much everywhere.
> - Use a naming based on `error` instead of `condition` (optionally with
>   `error-case(-unless-debug)` as aliases for `condition-case`?).
> - Keep a mix, where we add to the manual a paragraph explaining that
>   `signal` really causes a "condition" but that most conditions (tho not
>   all, `quit` being the main(sole?) exception) are subtypes of the
>   `error` condition so we usually refer to conditions as "errors".
> 
> I'm leaning towards the third option, because I think straightening out
> the mix of "conditions" and "errors" we have is fairly difficult.

Please don't rename "error" to something else.  This new object type
can be called error-condition or something else, but please let's not
rename something so fundamental and basic in Emacs.  It is unthinkable
that an obscure new feature will cause such a havoc in Emacs.